Subject: Re: linux-next: build failure after merge of the arm-soc tree

From: Matthias Brugger <[email-masked]>
Date: Wed, 2 Mar 2022 10:52:34 +0100

Hi Arnd,

On 02/03/2022 08:45, Arnd Bergmann wrote:
> On Tue, Mar 1, 2022 at 11:50 PM Stephen Rothwell <[email-masked]> wrote:
>>
>> Hi all,
>>
>> After merging the arm-soc tree, today's linux-next build (arm
>> multi_v7_defconfig) failed like this:
>>
>> drivers/soc/mediatek/mtk-mmsys.c:64:10: error: 'const struct mtk_mmsys_driver_data' has no member named 'sw0_rst_offset'
>>     64 |         .sw0_rst_offset = MT8186_MMSYS_SW0_RST_B,
>>        |          ^~~~~~~~~~~~~~
>> In file included from drivers/soc/mediatek/mtk-mmsys.c:18:
>> drivers/soc/mediatek/mt8186-mmsys.h:55:57: warning: excess elements in struct initializer
>>     55 | #define MT8186_MMSYS_SW0_RST_B                          0x160
>>        |                                                         ^~~~~
>> drivers/soc/mediatek/mtk-mmsys.c:64:27: note: in expansion of macro 'MT8186_MMSYS_SW0_RST_B'
>>     64 |         .sw0_rst_offset = MT8186_MMSYS_SW0_RST_B,
>>        |                           ^~~~~~~~~~~~~~~~~~~~~~
>> drivers/soc/mediatek/mt8186-mmsys.h:55:57: note: (near initialization for 'mt8186_mmsys_driver_data')
>>     55 | #define MT8186_MMSYS_SW0_RST_B                          0x160
>>        |                                                         ^~~~~
>> drivers/soc/mediatek/mtk-mmsys.c:64:27: note: in expansion of macro 'MT8186_MMSYS_SW0_RST_B'
>>     64 |         .sw0_rst_offset = MT8186_MMSYS_SW0_RST_B,
>>        |                           ^~~~~~~~~~~~~~~~~~~~~~
>>
>> Caused by commit
>>
>>    831785f0e5b9 ("soc: mediatek: mmsys: add mmsys reset control for MT8186")
>>
>> I have used the arm-soc tree from next-20220301 for today.
> 
> I'm going on vacation right now, did a quick revert of that commit to fix the
> build. Rex-BC Chen, Matthias: please send a proper fix that I can apply next
> week when I get back, to replace my revert.
> 

I send a new pull request with the missing commit included. Please let me know 
if you prefer the commit on top of the old pull request. This would break 
git-bisecting, but the window of commits is rather small.

I fixed my for-next branch yesterday already.

Sorry for the inconvenience.

Matthias